basic_singleton.hpp File Reference

A (really) basic implementation of the singleton design pattern. More...

`#include <claw/non_copyable.hpp>`
`#include <claw/impl/basic_singleton.tpp>`

Go to the source code of this file.

## Classes

class | claw::pattern::basic_singleton< T >
| A (really) basic implementation of the singleton design pattern. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::pattern
| Here are the design patterns.

## Detailed Description

A (really) basic implementation of the singleton design pattern.

Author
  Julien Jorge

Definition in file basic_singleton.hpp.